ACLs
All operations require authentication.
List topic ACLsBeta
Returns the topic ACL entries of the service, each granting a user a permission on a topic name pattern.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the ACL entry
Permission level granted by this ACL entry
ADMINREADREAD_WRITEWRITETopic name pattern this ACL entry applies to. Supports wildcards (*).
Date of the last update to the resource
Username this ACL entry applies to
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafka/ {serviceId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "ADMIN", "topic": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string" }]
Get a topic ACLBeta
Returns the user, the topic name pattern and the permission of the ACL entry.
Path parameters
Acl ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the ACL entry
Permission level granted by this ACL entry
ADMINREADREAD_WRITEWRITETopic name pattern this ACL entry applies to. Supports wildcards (*).
Date of the last update to the resource
Username this ACL entry applies to
Example uses aclId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafka/ {serviceId}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "ADMIN", "topic": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}
Create a topic ACLBeta
Grants a user a permission on the topics matching a name pattern. Use * to match all topics.
Path parameters
Project ID
Service ID
Request body (required)
Permission level to grant
ADMINREADREAD_WRITEWRITETopic name pattern this ACL applies to. Use * to match all topics.
Username to grant access to
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the ACL entry
Permission level granted by this ACL entry
ADMINREADREAD_WRITEWRITETopic name pattern this ACL entry applies to. Supports wildcards (*).
Date of the last update to the resource
Username this ACL entry applies to
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafka/ {serviceId}/ acl \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "ADMIN", "topic": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}
Delete a topic ACLBeta
Deletes the ACL entry and revokes the permission it granted.
Path parameters
Acl ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the ACL entry
Permission level granted by this ACL entry
ADMINREADREAD_WRITEWRITETopic name pattern this ACL entry applies to. Supports wildcards (*).
Date of the last update to the resource
Username this ACL entry applies to
Example uses aclId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafka/ {serviceId}/ acl/ {aclId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "permission": "ADMIN", "topic": "string", "updatedAt": "2024-01-01T12:00:00Z", "username": "string"}
List ACL permissionsBeta
Returns the permission names available for topic ACLs and for Schema Registry ACLs.
Path parameters
Project ID
Service ID
Response
Available Schema Registry permission names
Available topic permission names
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ kafka/ {serviceId}/ permissions \
-H "authorization: Bearer $OVH_TOKEN"{ "schemaRegistry": [ "string" ], "topic": [ "string" ]}